﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankDataModels.Models
{
    public interface IPaymentModel : IId
    {
        DateTime PaymentDate { get; }
        Dictionary<int, IDealModel> DealPayments { get; }
        Dictionary<int, ICurrencyModel> CurrencyPayments { get; }
        int OperatorId { get; }
    }
}
