﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankDatabaseImplement.Models
{
    public class DealPayment
    {
        public int Id { get; set; }
        [Required]
        public int DealId { get; set; }
        [Required]
        public int PaymentId { get; set; }
        public virtual Deal Deal { get; set; } = new();
        public virtual Payment Payment { get; set; } = new();
    }
}
